<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ReconstructedParticleCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html">ReconstructedParticleCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_reconstructed_particle_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ReconstructedParticleCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::ReconstructedParticleCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_reconstructed_particle_collection__inherit__graph.png" border="0" usemap="#eic_1_1_reconstructed_particle_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_reconstructed_particle_collection_inherit__map" id="eic_1_1_reconstructed_particle_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::ReconstructedParticleCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_reconstructed_particle_collection__coll__graph.png" border="0" usemap="#eic_1_1_reconstructed_particle_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_reconstructed_particle_collection_coll__map" id="eic_1_1_reconstructed_particle_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0ef9917c3c0ed5078f1dd2f2f7066638"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a0ef9917c3c0ed5078f1dd2f2f7066638">const_iterator</a> = const <a class="el" href="classeic_1_1_reconstructed_particle_collection_iterator.html">ReconstructedParticleCollectionIterator</a></td></tr>
<tr class="separator:a0ef9917c3c0ed5078f1dd2f2f7066638"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a14990fd17e73fb3664af2bc6b1e15e2d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a14990fd17e73fb3664af2bc6b1e15e2d">ReconstructedParticleCollection</a> ()</td></tr>
<tr class="separator:a14990fd17e73fb3664af2bc6b1e15e2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1199172966d13cf55811b0378024502"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#ad1199172966d13cf55811b0378024502">~ReconstructedParticleCollection</a> ()</td></tr>
<tr class="separator:ad1199172966d13cf55811b0378024502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9135f75aaac6e104272e57410d38fff9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a9135f75aaac6e104272e57410d38fff9">clear</a> () override final</td></tr>
<tr class="separator:a9135f75aaac6e104272e57410d38fff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37f347f5628ffe1418efec4d72b57c37"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html">ReconstructedParticleCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a37f347f5628ffe1418efec4d72b57c37">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a37f347f5628ffe1418efec4d72b57c37"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a37f347f5628ffe1418efec4d72b57c37">More...</a><br /></td></tr>
<tr class="separator:a37f347f5628ffe1418efec4d72b57c37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54b4e70164490e29f353cc0034ef1c4e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a54b4e70164490e29f353cc0034ef1c4e">create</a> ()</td></tr>
<tr class="memdesc:a54b4e70164490e29f353cc0034ef1c4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a54b4e70164490e29f353cc0034ef1c4e">More...</a><br /></td></tr>
<tr class="separator:a54b4e70164490e29f353cc0034ef1c4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae859946a1b3f147234c83b91203ce941"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:ae859946a1b3f147234c83b91203ce941"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#ae859946a1b3f147234c83b91203ce941">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:ae859946a1b3f147234c83b91203ce941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3153fd922870713e074091ebfe75152b"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> () const override final</td></tr>
<tr class="memdesc:a3153fd922870713e074091ebfe75152b"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a3153fd922870713e074091ebfe75152b">More...</a><br /></td></tr>
<tr class="separator:a3153fd922870713e074091ebfe75152b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af584baa88a64e6cedaf082378eb71515"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#af584baa88a64e6cedaf082378eb71515">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:af584baa88a64e6cedaf082378eb71515"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#af584baa88a64e6cedaf082378eb71515">More...</a><br /></td></tr>
<tr class="separator:af584baa88a64e6cedaf082378eb71515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a642c4d571390afbd305a2d14e66b3e46"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a642c4d571390afbd305a2d14e66b3e46">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a642c4d571390afbd305a2d14e66b3e46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a642c4d571390afbd305a2d14e66b3e46">More...</a><br /></td></tr>
<tr class="separator:a642c4d571390afbd305a2d14e66b3e46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c870e0b8720758026693ad4f1877480"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a6c870e0b8720758026693ad4f1877480">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a6c870e0b8720758026693ad4f1877480"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a6c870e0b8720758026693ad4f1877480">More...</a><br /></td></tr>
<tr class="separator:a6c870e0b8720758026693ad4f1877480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5d6ea21cde655b09a7ece53786dbbbb"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#af5d6ea21cde655b09a7ece53786dbbbb">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:af5d6ea21cde655b09a7ece53786dbbbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#af5d6ea21cde655b09a7ece53786dbbbb">More...</a><br /></td></tr>
<tr class="separator:af5d6ea21cde655b09a7ece53786dbbbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba67c7f6e4dc56076c27c01503343dad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#aba67c7f6e4dc56076c27c01503343dad">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:aba67c7f6e4dc56076c27c01503343dad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#aba67c7f6e4dc56076c27c01503343dad">More...</a><br /></td></tr>
<tr class="separator:aba67c7f6e4dc56076c27c01503343dad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ba8de3acc05c820b8d7b79ea1426a71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a7ba8de3acc05c820b8d7b79ea1426a71">push_back</a> (<a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> object)</td></tr>
<tr class="memdesc:a7ba8de3acc05c820b8d7b79ea1426a71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a7ba8de3acc05c820b8d7b79ea1426a71">More...</a><br /></td></tr>
<tr class="separator:a7ba8de3acc05c820b8d7b79ea1426a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc01bcd111b2e21542aa0db39067f4bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#afc01bcd111b2e21542aa0db39067f4bc">prepareForWrite</a> () override final</td></tr>
<tr class="separator:afc01bcd111b2e21542aa0db39067f4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fd1dd83d4f48c6c00deb10f5d04c540"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a5fd1dd83d4f48c6c00deb10f5d04c540">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:a5fd1dd83d4f48c6c00deb10f5d04c540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164ff572b0413348ae73417d822c2308"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a164ff572b0413348ae73417d822c2308">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:a164ff572b0413348ae73417d822c2308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa47e9c558b1f5d3c94ba343a8b82d2b0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#aa47e9c558b1f5d3c94ba343a8b82d2b0">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:aa47e9c558b1f5d3c94ba343a8b82d2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27fd28ebd22b0fe3966a0729243422c6"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a27fd28ebd22b0fe3966a0729243422c6">referenceCollections</a> () override final</td></tr>
<tr class="separator:a27fd28ebd22b0fe3966a0729243422c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71953d6e6b35965c2195eeccefc7fe70"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a71953d6e6b35965c2195eeccefc7fe70">vectorMembers</a> () override</td></tr>
<tr class="separator:a71953d6e6b35965c2195eeccefc7fe70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1cc181b3e7777a45766b84cef43f94e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#ae1cc181b3e7777a45766b84cef43f94e">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:ae1cc181b3e7777a45766b84cef43f94e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4bf52a6d5a6a2371a2a36d56635557c"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#ab4bf52a6d5a6a2371a2a36d56635557c">getID</a> () const override final</td></tr>
<tr class="separator:ab4bf52a6d5a6a2371a2a36d56635557c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d62553f895f0f9553f38c1a27c8f0d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a93d62553f895f0f9553f38c1a27c8f0d">isValid</a> () const override final</td></tr>
<tr class="separator:a93d62553f895f0f9553f38c1a27c8f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa340d07ba8eec53f7419c03324534b47"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a0ef9917c3c0ed5078f1dd2f2f7066638">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#aa340d07ba8eec53f7419c03324534b47">begin</a> () const</td></tr>
<tr class="separator:aa340d07ba8eec53f7419c03324534b47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35633151f9f0a1322e35f03b8ba7c61c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a0ef9917c3c0ed5078f1dd2f2f7066638">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a35633151f9f0a1322e35f03b8ba7c61c">end</a> () const</td></tr>
<tr class="separator:a35633151f9f0a1322e35f03b8ba7c61c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a449e6beef4f2289ed152b159c853e6e2"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a449e6beef4f2289ed152b159c853e6e2">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:a449e6beef4f2289ed152b159c853e6e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#a449e6beef4f2289ed152b159c853e6e2">More...</a><br /></td></tr>
<tr class="separator:a449e6beef4f2289ed152b159c853e6e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416f9cd0640a1a1b27a61f07a55e9756"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a416f9cd0640a1a1b27a61f07a55e9756">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a416f9cd0640a1a1b27a61f07a55e9756"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#a416f9cd0640a1a1b27a61f07a55e9756">More...</a><br /></td></tr>
<tr class="separator:a416f9cd0640a1a1b27a61f07a55e9756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8147ee0695e02e9d22ef1d2e240d4fd1"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a8147ee0695e02e9d22ef1d2e240d4fd1"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a8147ee0695e02e9d22ef1d2e240d4fd1">type</a> () const</td></tr>
<tr class="separator:a8147ee0695e02e9d22ef1d2e240d4fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a9ddf83a15b1c5e1d346b105b28d69f"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a1a9ddf83a15b1c5e1d346b105b28d69f"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; double, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a1a9ddf83a15b1c5e1d346b105b28d69f">energy</a> () const</td></tr>
<tr class="separator:a1a9ddf83a15b1c5e1d346b105b28d69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e857aef61568a5b2828664a05a0cab2"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a5e857aef61568a5b2828664a05a0cab2"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a5e857aef61568a5b2828664a05a0cab2">momentum</a> () const</td></tr>
<tr class="separator:a5e857aef61568a5b2828664a05a0cab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab79559d8788585cdd52d9a470b239e71"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ab79559d8788585cdd52d9a470b239e71"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#ab79559d8788585cdd52d9a470b239e71">charge</a> () const</td></tr>
<tr class="separator:ab79559d8788585cdd52d9a470b239e71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30efcfb9f8fe4c02cfcfff98233c9ac7"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a30efcfb9f8fe4c02cfcfff98233c9ac7"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; double, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a30efcfb9f8fe4c02cfcfff98233c9ac7">mass</a> () const</td></tr>
<tr class="separator:a30efcfb9f8fe4c02cfcfff98233c9ac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a0ef9917c3c0ed5078f1dd2f2f7066638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ef9917c3c0ed5078f1dd2f2f7066638">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a0ef9917c3c0ed5078f1dd2f2f7066638">eic::ReconstructedParticleCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_reconstructed_particle_collection_iterator.html">ReconstructedParticleCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a14990fd17e73fb3664af2bc6b1e15e2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14990fd17e73fb3664af2bc6b1e15e2d">&#9670;&nbsp;</a></span>ReconstructedParticleCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticleCollection::ReconstructedParticleCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00017">17</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="ad1199172966d13cf55811b0378024502"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1199172966d13cf55811b0378024502">&#9670;&nbsp;</a></span>~ReconstructedParticleCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticleCollection::~ReconstructedParticleCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00030">30</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00070">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a416f9cd0640a1a1b27a61f07a55e9756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a416f9cd0640a1a1b27a61f07a55e9756">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a>&gt;* eic::ReconstructedParticleCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af5d6ea21cde655b09a7ece53786dbbbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5d6ea21cde655b09a7ece53786dbbbb">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticleCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00044">44</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="aba67c7f6e4dc56076c27c01503343dad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba67c7f6e4dc56076c27c01503343dad">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticleCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00052">52</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="aa340d07ba8eec53f7419c03324534b47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa340d07ba8eec53f7419c03324534b47">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a0ef9917c3c0ed5078f1dd2f2f7066638">const_iterator</a> eic::ReconstructedParticleCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="ab79559d8788585cdd52d9a470b239e71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab79559d8788585cdd52d9a470b239e71">&#9670;&nbsp;</a></span>charge()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::ReconstructedParticleCollection::charge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00203">203</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00272">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a9135f75aaac6e104272e57410d38fff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9135f75aaac6e104272e57410d38fff9">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticleCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00070">70</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00030">~ReconstructedParticleCollection()</a>.</p>

</div>
</div>
<a id="a54b4e70164490e29f353cc0034ef1c4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54b4e70164490e29f353cc0034ef1c4e">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticleCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00060">60</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="ae859946a1b3f147234c83b91203ce941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae859946a1b3f147234c83b91203ce941">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticleCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00165">165</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a35633151f9f0a1322e35f03b8ba7c61c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35633151f9f0a1322e35f03b8ba7c61c">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a0ef9917c3c0ed5078f1dd2f2f7066638">const_iterator</a> eic::ReconstructedParticleCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a1a9ddf83a15b1c5e1d346b105b28d69f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a9ddf83a15b1c5e1d346b105b28d69f">&#9670;&nbsp;</a></span>energy()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, arraysize &gt; eic::ReconstructedParticleCollection::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00183">183</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00272">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a449e6beef4f2289ed152b159c853e6e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a449e6beef4f2289ed152b159c853e6e2">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::ReconstructedParticleCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="ab4bf52a6d5a6a2371a2a36d56635557c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4bf52a6d5a6a2371a2a36d56635557c">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::ReconstructedParticleCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="af584baa88a64e6cedaf082378eb71515"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af584baa88a64e6cedaf082378eb71515">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::ReconstructedParticleCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a93d62553f895f0f9553f38c1a27c8f0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93d62553f895f0f9553f38c1a27c8f0d">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ReconstructedParticleCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a30efcfb9f8fe4c02cfcfff98233c9ac7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30efcfb9f8fe4c02cfcfff98233c9ac7">&#9670;&nbsp;</a></span>mass()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, arraysize &gt; eic::ReconstructedParticleCollection::mass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00213">213</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00272">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a5e857aef61568a5b2828664a05a0cab2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e857aef61568a5b2828664a05a0cab2">&#9670;&nbsp;</a></span>momentum()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt; eic::ReconstructedParticleCollection::momentum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00193">193</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a37f347f5628ffe1418efec4d72b57c37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37f347f5628ffe1418efec4d72b57c37">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle_collection.html">ReconstructedParticleCollection</a>* eic::ReconstructedParticleCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a642c4d571390afbd305a2d14e66b3e46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a642c4d571390afbd305a2d14e66b3e46">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticleCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00040">40</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a6c870e0b8720758026693ad4f1877480"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c870e0b8720758026693ad4f1877480">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticleCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00048">48</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a5fd1dd83d4f48c6c00deb10f5d04c540"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fd1dd83d4f48c6c00deb10f5d04c540">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticleCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00167">167</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="afc01bcd111b2e21542aa0db39067f4bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc01bcd111b2e21542aa0db39067f4bc">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticleCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00113">113</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00056">size()</a>.</p>

</div>
</div>
<a id="a7ba8de3acc05c820b8d7b79ea1426a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ba8de3acc05c820b8d7b79ea1426a71">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticleCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00237">237</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00056">size()</a>.</p>

</div>
</div>
<a id="a27fd28ebd22b0fe3966a0729243422c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27fd28ebd22b0fe3966a0729243422c6">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::ReconstructedParticleCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="a164ff572b0413348ae73417d822c2308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164ff572b0413348ae73417d822c2308">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticleCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00252">252</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

</div>
</div>
<a id="ae1cc181b3e7777a45766b84cef43f94e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1cc181b3e7777a45766b84cef43f94e">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticleCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<a id="aa47e9c558b1f5d3c94ba343a8b82d2b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa47e9c558b1f5d3c94ba343a8b82d2b0">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ReconstructedParticleCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00181">181</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00056">size()</a>.</p>

</div>
</div>
<a id="a3153fd922870713e074091ebfe75152b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3153fd922870713e074091ebfe75152b">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::ReconstructedParticleCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00056">56</a> of file <a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00272">eic::operator&lt;&lt;()</a>, <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00113">prepareForWrite()</a>, <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00237">push_back()</a>, and <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00181">setReferences()</a>.</p>

</div>
</div>
<a id="a8147ee0695e02e9d22ef1d2e240d4fd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8147ee0695e02e9d22ef1d2e240d4fd1">&#9670;&nbsp;</a></span>type()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::ReconstructedParticleCollection::type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00173">173</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00272">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a71953d6e6b35965c2195eeccefc7fe70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71953d6e6b35965c2195eeccefc7fe70">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::ReconstructedParticleCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_reconstructed_particle_collection_8h_source.html">ReconstructedParticleCollection.h</a></li>
<li>src/<a class="el" href="_reconstructed_particle_collection_8cc_source.html">ReconstructedParticleCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
